# Gimp.Gradient.segment_set_right_color

    @accepts(Gimp.Gradient, int, Gegl.Color)
    @returns(bool)
    def segment_set_right_color(self, segment, color):
        # Python wrapper for gimp_gradient_segment_set_right_color()

Sets the right endpoint color of the segment

Sets the right endpoint color of the segment of the gradient. The alpha channel of the [class@Gegl.Color] is taken into account. Returns an error when gradient is not editable or segment index is out of range.

Since 2.2

self

  The gradient.

segment

  The index of a segment within the gradient.

color

  The color to set.

Returns